Bug 291271 - Error running pipeline in gnome-sound-properties
Error running pipeline in gnome-sound-properties
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: gstreamer-plugins-pulse (Show other bugs)
rawhide
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Lennart Poettering
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-09-14 13:18 EDT by sangu
Modified: 2008-03-13 11:28 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-03-13 11:28:07 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description sangu 2007-09-14 13:18:56 EDT
Description of problem:
$ gnome-sound-properties 
sound-properties-Message: Error running pipeline 'audiotestsrc wave=sine
freq=512 ! audioconvert ! audioresample ! gconfaudiosink profile=music': Failed
to connect stream: Invalid argument [pulsesink.c(399): gst_pulsesink_prepare ():
/pipeline1/gconfaudiosink1/bin1/autoaudiosink0/autoaudiosink0-actual-sink-pulse]

Version-Release number of selected component (if applicable):
0.9.5-0.3.svn20070816.fc8

How reproducible:
always

Steps to Reproduce:
1. Launch gnome-sound-properties
2. Select PulseAudio server
3. Click test
  
Actual results:


Expected results:


Additional info:
 pulseaudio -vv
E: pid.c: stale PID file, overwriting.
I: main.c: Page size is 4096 bytes
I: main.c: Fresh high-resolution timers available! Bon appetit!
D: cli-command.c: Checking for existance of
'/usr/lib/pulse-0.9/modules//module-hal-detect.so': success
I: module-hal-detect.c: Trying capability alsa
D: module-hal-detect.c: Not loaded device
/org/freedesktop/Hal/devices/computer_alsa_timer
D: module-hal-detect.c: Not loaded device
/org/freedesktop/Hal/devices/computer_alsa_sequencer
D: module-hal-detect.c: Not loaded device
/org/freedesktop/Hal/devices/pci_10de_59_alsa_playback_2
D: module-hal-detect.c: Not loaded device
/org/freedesktop/Hal/devices/pci_10de_59_alsa_capture_1
D: module-hal-detect.c: Loading module-alsa-sink with arguments 'device=hw:1
sink_name=alsa_output.pci_10de_59_alsa_playback_0'
W: alsa-util.c: Device hw:1 doesn't support 44100 Hz, changed to 48000 Hz.
I: module-alsa-sink.c: Successfully enabled mmap() mode.
I: alsa-util.c: Using mixer control "Master".
I: sink.c: Created sink 0 "alsa_output.pci_10de_59_alsa_playback_0" with sample
spec "s16le 2ch 48000Hz"
I: source.c: Created source 0 "alsa_output.pci_10de_59_alsa_playback_0.monitor"
with sample spec "s16le 2ch 48000Hz"
I: module-alsa-sink.c: Using 4 fragments of size 4408 bytes.
D: module-alsa-sink.c: Thread starting up
D: rtpoll.c: Acquired POSIX realtime signal SIGRTMIN+10
I: module.c: Loaded "module-alsa-sink" (index: #0; argument: "device=hw:1
sink_name=alsa_output.pci_10de_59_alsa_playback_0").
D: module-hal-detect.c: Loading module-alsa-source with arguments 'device=hw:1
source_name=alsa_input.pci_10de_59_alsa_capture_0'
I: module-alsa-sink.c: Starting playback.
W: alsa-util.c: Device hw:1 doesn't support 44100 Hz, changed to 48000 Hz.
I: module-alsa-source.c: Successfully enabled mmap() mode.
I: alsa-util.c: Using mixer control "Capture".
I: source.c: Created source 1 "alsa_input.pci_10de_59_alsa_capture_0" with
sample spec "s16le 2ch 48000Hz"
I: module-alsa-source.c: Using 4 fragments of size 4408 bytes.
D: module-alsa-source.c: Thread starting up
D: rtpoll.c: Acquired POSIX realtime signal SIGRTMIN+11
I: module.c: Loaded "module-alsa-source" (index: #1; argument: "device=hw:1
source_name=alsa_input.pci_10de_59_alsa_capture_0").
D: module-hal-detect.c: Not loaded device
/org/freedesktop/Hal/devices/pci_1102_2_alsa_playback_3
D: module-hal-detect.c: Not loaded device
/org/freedesktop/Hal/devices/pci_1102_2_alsa_playback_2
D: module-hal-detect.c: Not loaded device
/org/freedesktop/Hal/devices/pci_1102_2_alsa_capture_2
D: module-hal-detect.c: Not loaded device
/org/freedesktop/Hal/devices/pci_1102_2_alsa_capture_1
D: module-hal-detect.c: Loading module-alsa-sink with arguments 'device=hw:0
sink_name=alsa_output.pci_1102_2_alsa_playback_0'
I: module-alsa-sink.c: Successfully enabled mmap() mode.
I: alsa-util.c: Using mixer control "Master".
I: sink.c: Created sink 1 "alsa_output.pci_1102_2_alsa_playback_0" with sample
spec "s16le 2ch 44100Hz"
I: source.c: Created source 2 "alsa_output.pci_1102_2_alsa_playback_0.monitor"
with sample spec "s16le 2ch 44100Hz"
I: module-alsa-sink.c: Using 4 fragments of size 4408 bytes.
D: module-alsa-sink.c: Thread starting up
D: rtpoll.c: Acquired POSIX realtime signal SIGRTMIN+12
I: module.c: Loaded "module-alsa-sink" (index: #2; argument: "device=hw:0
sink_name=alsa_output.pci_1102_2_alsa_playback_0").
D: module-hal-detect.c: Loading module-alsa-source with arguments 'device=hw:0
source_name=alsa_input.pci_1102_2_alsa_capture_0'
I: module-alsa-sink.c: Starting playback.
I: module-alsa-source.c: Successfully enabled mmap() mode.
I: alsa-util.c: Using mixer control "Capture".
I: source.c: Created source 3 "alsa_input.pci_1102_2_alsa_capture_0" with sample
spec "s16le 2ch 44100Hz"
I: module-alsa-source.c: Using 2 fragments of size 4096 bytes.
D: module-alsa-source.c: Thread starting up
D: rtpoll.c: Acquired POSIX realtime signal SIGRTMIN+13
I: module.c: Loaded "module-alsa-source" (index: #3; argument: "device=hw:0
source_name=alsa_input.pci_1102_2_alsa_capture_0").
D: module-hal-detect.c: Not loaded device
/org/freedesktop/Hal/devices/pci_1102_2_alsa_midi_2
D: module-hal-detect.c: Not loaded device
/org/freedesktop/Hal/devices/pci_1102_2_alsa_midi_1
D: module-hal-detect.c: Not loaded device
/org/freedesktop/Hal/devices/pci_1102_2_alsa_midi_0
D: module-hal-detect.c: Not loaded device
/org/freedesktop/Hal/devices/pci_1102_2_alsa_hw_specific_2
D: module-hal-detect.c: Not loaded device
/org/freedesktop/Hal/devices/pci_1102_2_alsa_hw_specific_0
D: module-hal-detect.c: Not loaded device
/org/freedesktop/Hal/devices/pci_10de_59_alsa_control__1
D: module-hal-detect.c: Not loaded device
/org/freedesktop/Hal/devices/pci_1102_2_alsa_control__1
I: module-hal-detect.c: Loaded 4 modules.
I: module.c: Loaded "module-hal-detect" (index: #4; argument: "").
I: module.c: Loaded "module-esound-protocol-unix" (index: #5; argument: "").
I: protocol-native.c: loading cookie from disk.
I: module.c: Loaded "module-native-protocol-unix" (index: #6; argument: "").
I: module-volume-restore.c: starting with empty ruleset.
I: module.c: Loaded "module-volume-restore" (index: #7; argument: "").
I: module.c: Loaded "module-default-device-restore" (index: #8; argument: "").
I: module.c: Loaded "module-rescue-streams" (index: #9; argument: "").
D: module-suspend-on-idle.c: Sink alsa_output.pci_10de_59_alsa_playback_0
becomes idle.
D: module-suspend-on-idle.c: Sink alsa_output.pci_1102_2_alsa_playback_0 becomes
idle.
D: module-suspend-on-idle.c: Source alsa_input.pci_10de_59_alsa_capture_0
becomes idle.
D: module-suspend-on-idle.c: Source alsa_input.pci_1102_2_alsa_capture_0 becomes
idle.
I: module.c: Loaded "module-suspend-on-idle" (index: #10; argument: "").
D: cli-command.c: Checking for existance of
'/usr/lib/pulse-0.9/modules//module-x11-publish.so': success
D: module-x11-publish.c: using already loaded auth cookie.
I: module.c: Loaded "module-x11-publish" (index: #11; argument: "").
D: cli-command.c: Checking for existance of
'/usr/lib/pulse-0.9/modules//module-gconf.so': success
I: module.c: Loaded "module-gconf" (index: #12; argument: "").
I: main.c: Daemon startup complete.
D: module-hal-detect.c: dbus: interface=org.freedesktop.DBus,
path=/org/freedesktop/DBus, member=NameAcquired
I: module-suspend-on-idle.c: Sink alsa_output.pci_10de_59_alsa_playback_0 idle
for too long, suspending ...
I: module-alsa-sink.c: Device suspended...
I: module-suspend-on-idle.c: Source alsa_input.pci_1102_2_alsa_capture_0 idle
for too long, suspending ...
I: module-alsa-source.c: Device suspended...
I: module-suspend-on-idle.c: Source alsa_input.pci_10de_59_alsa_capture_0 idle
for too long, suspending ...
I: module-alsa-source.c: Device suspended...
I: module-suspend-on-idle.c: Sink alsa_output.pci_1102_2_alsa_playback_0 idle
for too long, suspending ...
I: module-alsa-sink.c: Device suspended...
I: client.c: created 0 "Native client (UNIX socket client)"
I: protocol-native.c: Got credentials: uid=500 gid=500 success=1
I: protocol-native.c: Enabled SHM for new connection
I: client.c: client 0 changed name from "Native client (UNIX socket client)" to
"PulseAudio Volume Control"
D: core-subscribe.c: dropped redundant event.
I: client.c: created 1 "Native client (UNIX socket client)"
I: protocol-native.c: Got credentials: uid=500 gid=500 success=1
I: protocol-native.c: Enabled SHM for new connection
I: client.c: client 1 changed name from "Native client (UNIX socket client)" to
"Adobe Flash"
I: client.c: freed 1 "Adobe Flash"
I: protocol-native.c: connection died.
I: client.c: created 2 "Native client (UNIX socket client)"
I: protocol-native.c: Got credentials: uid=500 gid=500 success=1
I: protocol-native.c: Enabled SHM for new connection
I: client.c: client 2 changed name from "Native client (UNIX socket client)" to
"gstreamer-properties"
I: client.c: freed 2 "gstreamer-properties"
I: protocol-native.c: connection died.
I: client.c: created 3 "Native client (UNIX socket client)"
I: protocol-native.c: Got credentials: uid=500 gid=500 success=1
I: protocol-native.c: Enabled SHM for new connection
I: client.c: client 3 changed name from "Native client (UNIX socket client)" to
"gstreamer-properties"
I: client.c: freed 3 "gstreamer-properties"
I: protocol-native.c: connection died.
I: client.c: created 4 "Native client (UNIX socket client)"
I: protocol-native.c: Got credentials: uid=500 gid=500 success=1
I: protocol-native.c: Enabled SHM for new connection
I: client.c: client 4 changed name from "Native client (UNIX socket client)" to
"gstreamer-properties"
I: client.c: freed 4 "gstreamer-properties"
I: protocol-native.c: connection died.
I: client.c: created 5 "Native client (UNIX socket client)"
I: protocol-native.c: Got credentials: uid=500 gid=500 success=1
I: protocol-native.c: Enabled SHM for new connection
I: client.c: client 5 changed name from "Native client (UNIX socket client)" to
"gnome-sound-properties"
I: client.c: freed 5 "gnome-sound-properties"
I: protocol-native.c: connection died.
I: client.c: created 6 "Native client (UNIX socket client)"
I: protocol-native.c: Got credentials: uid=500 gid=500 success=1
I: protocol-native.c: Enabled SHM for new connection
I: client.c: client 6 changed name from "Native client (UNIX socket client)" to
"gnome-sound-properties"
I: client.c: freed 6 "gnome-sound-properties"
I: protocol-native.c: connection died.
I: client.c: created 7 "Native client (UNIX socket client)"
I: protocol-native.c: Got credentials: uid=500 gid=500 success=1
I: protocol-native.c: Enabled SHM for new connection
I: client.c: client 7 changed name from "Native client (UNIX socket client)" to
"gnome-sound-properties"
I: client.c: freed 7 "gnome-sound-properties"
I: protocol-native.c: connection died.
I: client.c: created 8 "Native client (UNIX socket client)"
I: protocol-native.c: Got credentials: uid=500 gid=500 success=1
I: protocol-native.c: Enabled SHM for new connection
I: client.c: client 8 changed name from "Native client (UNIX socket client)" to
"gnome-sound-properties"
I: client.c: freed 8 "gnome-sound-properties"
I: protocol-native.c: connection died.
I: client.c: created 9 "Native client (UNIX socket client)"
I: protocol-native.c: Got credentials: uid=500 gid=500 success=1
I: protocol-native.c: Enabled SHM for new connection
I: client.c: client 9 changed name from "Native client (UNIX socket client)" to
"gnome-sound-properties"
I: client.c: freed 9 "gnome-sound-properties"
I: protocol-native.c: connection died.
I: client.c: created 10 "Native client (UNIX socket client)"
I: protocol-native.c: Got credentials: uid=500 gid=500 success=1
I: protocol-native.c: Enabled SHM for new connection
I: client.c: client 10 changed name from "Native client (UNIX socket client)" to
"gnome-sound-properties"
I: client.c: freed 10 "gnome-sound-properties"
I: protocol-native.c: connection died.
I: client.c: created 11 "Native client (UNIX socket client)"
I: protocol-native.c: Got credentials: uid=500 gid=500 success=1
I: protocol-native.c: Enabled SHM for new connection
I: client.c: client 11 changed name from "Native client (UNIX socket client)" to
"gnome-sound-properties"
I: client.c: freed 11 "gnome-sound-properties"
I: protocol-native.c: connection died.
I: client.c: created 12 "Native client (UNIX socket client)"
I: protocol-native.c: Got credentials: uid=500 gid=500 success=1
I: protocol-native.c: Enabled SHM for new connection
I: client.c: client 12 changed name from "Native client (UNIX socket client)" to
"gnome-sound-properties"
I: client.c: freed 12 "gnome-sound-properties"
I: protocol-native.c: connection died.
I: client.c: created 13 "Native client (UNIX socket client)"
I: protocol-native.c: Got credentials: uid=500 gid=500 success=1
I: protocol-native.c: Enabled SHM for new connection
I: client.c: client 13 changed name from "Native client (UNIX socket client)" to
"gnome-sound-properties"
I: client.c: freed 13 "gnome-sound-properties"
I: protocol-native.c: connection died.
I: client.c: created 14 "Native client (UNIX socket client)"
I: protocol-native.c: Got credentials: uid=500 gid=500 success=1
I: protocol-native.c: Enabled SHM for new connection
I: client.c: client 14 changed name from "Native client (UNIX socket client)" to
"gnome-sound-properties"
I: client.c: freed 14 "gnome-sound-properties"
I: protocol-native.c: connection died.
I: client.c: created 15 "Native client (UNIX socket client)"
I: protocol-native.c: Got credentials: uid=500 gid=500 success=1
I: protocol-native.c: Enabled SHM for new connection
I: client.c: client 15 changed name from "Native client (UNIX socket client)" to
"gnome-sound-properties"
I: client.c: freed 15 "gnome-sound-properties"
I: protocol-native.c: connection died.
I: client.c: created 16 "Native client (UNIX socket client)"
I: protocol-native.c: Got credentials: uid=500 gid=500 success=1
I: protocol-native.c: Enabled SHM for new connection
I: client.c: client 16 changed name from "Native client (UNIX socket client)" to
"gnome-sound-properties"
I: client.c: freed 16 "gnome-sound-properties"
I: protocol-native.c: connection died.
I: client.c: created 17 "Native client (UNIX socket client)"
I: protocol-native.c: Got credentials: uid=500 gid=500 success=1
I: protocol-native.c: Enabled SHM for new connection
I: client.c: client 17 changed name from "Native client (UNIX socket client)" to
"gnome-sound-properties"
I: client.c: freed 17 "gnome-sound-properties"
I: protocol-native.c: connection died.
I: client.c: created 18 "EsounD client (UNIX socket client)"
I: client.c: created 19 "Native client (UNIX socket client)"
I: protocol-native.c: Got credentials: uid=500 gid=500 success=1
I: protocol-native.c: Enabled SHM for new connection
I: client.c: client 19 changed name from "Native client (UNIX socket client)" to
"gnome-sound-properties"
I: client.c: freed 19 "gnome-sound-properties"
I: protocol-native.c: connection died.
Comment 1 Lennart Poettering 2007-09-25 09:41:05 EDT
Could you please retry this with a newer version of the PA plugin for gstreamer?

Note You need to log in before you can comment on or make changes to this bug.